> ## Documentation Index
> Fetch the complete documentation index at: https://docs.valyent.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Destroy a gateway



## OpenAPI

````yaml api-reference/openapi.yaml delete /fleets/{fleet}/gateways/{gateway}
openapi: 3.1.0
info:
  title: Ravel API
  version: 1.0.0
servers: []
security: []
paths:
  /fleets/{fleet}/gateways/{gateway}:
    delete:
      tags:
        - Fleets
      summary: Destroy a gateway
      operationId: destroyGateway
      parameters:
        - explode: false
          in: query
          name: namespace
          schema:
            type: string
        - in: path
          name: fleet
          required: true
          schema:
            type: string
        - in: path
          name: gateway
          required: true
          schema:
            type: string
      responses:
        '204':
          description: No Content
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RavelError'
          description: Error
components:
  schemas:
    RavelError:
      additionalProperties: false
      properties:
        code:
          type: string
        detail:
          type: string
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        status:
          format: int64
          type: integer
        title:
          type: string
      required:
        - code
        - status
        - title
        - detail
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object

````